<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean
				name="formMantenimientos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.menu.mantenimientos"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.mantenimiento"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">

		<action
				path ="/w83bInicioMantenimientos" forward="paginaInicioMantenimientos"/>
		<action
				path ="/w83bInicioMantenimientosMenu" forward="paginaMantenimientosMenu"/>
		<action
				path ="/w83bInicioListados" forward="paginaInicioListados"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="formMantenimientos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward contextRelative="true"
					name="comun.menu.agrupaciones"
					path="/agrupacionesOP/w83bInicioBusquedaAgrupaciones.do"/>
		</action>
		
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>